<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* task-page.twig */
class __TwigTemplate_ee295820dd7349605ebb733e94ad459662996176cd74ce99d1163f74f1d7e129 extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->blocks = [
            'actionMenu' => [$this, 'block_actionMenu'],
            'pageContent' => [$this, 'block_pageContent'],
            'javaScript' => [$this, 'block_javaScript'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "authed.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 25
        $context["inline"] = $this->loadTemplate("inline.twig", "task-page.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("authed.twig", "task-page.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_actionMenu($context, array $blocks = [])
    {
        // line 28
        echo "    <ul class=\"nav nav-pills pull-right\">
        ";
        // line 29
        if ((($this->getAttribute(($context["settings"] ?? null), "TASK_CONFIG_LOCKED_CHECKB", []) == 0) || ($this->getAttribute(($context["settings"] ?? null), "TASK_CONFIG_LOCKED_CHECKB", []) == "Unchecked"))) {
            // line 30
            echo "        <li class=\"btn btn-success btn-xs\"><a class=\"XiboFormButton btns\" href=\"";
            echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("task.add.form"), "html", null, true);
            echo "\"><i class=\"fa fa-plus-circle\" aria-hidden=\"true\"></i> ";
            echo __("Add Task");
            echo "</a></li>
        ";
        }
        // line 32
        echo "        <li class=\"btn btn-success btn-xs\"><a class=\"btns\" id=\"refreshLog\" title=\"";
        echo __("Refresh the Log");
        echo "\" href=\"#\"><i class=\"fa fa-refresh\" aria-hidden=\"true\"></i> ";
        echo __("Refresh");
        echo "</a></li>
    </ul>
";
    }

    // line 36
    public function block_pageContent($context, array $blocks = [])
    {
        // line 37
        echo "    <div class=\"widget\">
        <div class=\"widget-title\">";
        // line 38
        echo __("Tasks");
        echo "</div>
        <div class=\"widget-body\">
            <div class=\"XiboGrid\" id=\"";
        // line 40
        echo twig_escape_filter($this->env, twig_random($this->env), "html", null, true);
        echo "\">
                <div class=\"XiboFilter\">
                    <div class=\"FilterDiv\" id=\"Filter\">
                        <form class=\"form-inline\">

                        </form>
                    </div>
                </div>
                <div class=\"XiboData\">
                    <table id=\"tasks\" class=\"table table-striped\">
                        <thead>
                            <tr>
                                <th>";
        // line 52
        echo __("ID");
        echo "</th>
                                <th>";
        // line 53
        echo __("Name");
        echo "</th>
                                <th>";
        // line 54
        echo __("Active");
        echo "</th>
                                <th>";
        // line 55
        echo __("Status");
        echo "</th>
                                <th>";
        // line 56
        echo __("Next Run");
        echo "</th>
                                <th>";
        // line 57
        echo __("Run Now");
        echo "</th>
                                <th>";
        // line 58
        echo __("Last Run");
        echo "</th>
                                <th>";
        // line 59
        echo __("Last Status");
        echo "</th>
                                <th>";
        // line 60
        echo __("Last Duration");
        echo "</th>
                                <th>";
        // line 61
        echo __("Row Menu");
        echo "</th>
                            </tr>
                        </thead>
                        <tbody>

                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
";
    }

    // line 74
    public function block_javaScript($context, array $blocks = [])
    {
        // line 75
        echo "    <script type=\"text/javascript\">
        var table = \$(\"#tasks\").DataTable({ \"language\": dataTablesLanguage,
            serverSide: true, stateSave: true, stateDuration: 0,
            stateLoadCallback: function (settings, callback) {
                var data = {};
                \$.ajax({
                    type: \"GET\",
                    async: false,
                    url: \"";
        // line 83
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("user.pref"), "html", null, true);
        echo "?preference=taskGrid\",
                    dataType: 'json',
                    success: function (json) {
                        if (json.success)
                            data = JSON.parse(json.data.value);
                    }
                });
                return data;
            },
            stateSaveCallback: function (settings, data) {
                \$.ajax({
                    type: \"POST\",
                    url: \"";
        // line 95
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("user.pref"), "html", null, true);
        echo "\",
                    data: {
                        preference: [{
                            option: \"taskGrid\",
                            value: JSON.stringify(data)
                        }]
                    }
                });
            },
            filter: false,
            searchDelay: 3000,
            \"order\": [[ 1, \"asc\"]],
            ajax: {
                \"url\": \"";
        // line 108
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("task.search"), "html", null, true);
        echo "\",
                \"data\": function(d) {
                    \$.extend(d, \$(\"#tasks\").closest(\".XiboGrid\").find(\".FilterDiv form\").serializeObject());
                }
            },
            \"columns\": [
                { \"data\": \"taskId\" },
                { \"data\": \"name\" },
                {
                    \"data\": \"isActive\",
                    \"render\": dataTableTickCrossColumn
                },
                {
                    \"data\": \"status\",
                    \"render\": function (data, type, row) {
                        if (type !== \"display\")
                            return data;

                        var icon = \"\";
                        var title = \"\";
                        if (data === 1) {
                            if (moment(row.lastRunStartDt, \"X\").tz) {
                                title = \"PID: \" + row.pid + \" (\" + moment(row.lastRunStartDt, \"X\").tz(timezone).format(jsDateFormat) + \")\";
                            } else {
                                title = \"PID: \" + row.pid + \" (\" + moment(row.lastRunStartDt, \"X\").format(jsDateFormat) + \")\";
                            }
                            icon = \"fa-cogs\";
                        }
                        else if (data === 3) {
                            title = \"Exit: \" + row.lastRunExitCode;
                            icon = \"fa-bug\";
                        }
                        else if (data === 5) {
                            title = \"Time out\";
                            icon = \"fa-hourglass-o\";
                        }
                        else {
                            title = \"\";
                            icon = \"fa-clock-o\";
                        }

                        return \"<span class='fa \" + icon + \"' title='\" + title + \"'></span>\";
                    }
                },
                {
                    \"data\": \"nextRunDt\",
                    \"render\": dataTableDateFromUnix
                },
                {
                    \"data\": \"runNow\",
                    \"render\": dataTableTickCrossColumn
                },
                {
                    \"data\": \"lastRunDt\",
                    \"render\": dataTableDateFromUnix
                },
                {
                    \"data\": \"lastRunStatus\",
                    \"render\": function (data, type, row) {
                        if (type !== \"display\")
                            return data;

                        var icon = \"\";
                        if (data === 4)
                            icon = \"fa-check\";
                        else
                            icon = \"fa-times\";

                        return \"<span class='fa \" + icon + \"' title='\" + ((row.lastRunMessage === null) ? \"\" : row.lastRunMessage) + \"'></span>\";
                    }
                },
                {
                    \"data\": \"lastRunDuration\",
                    \"render\": function (data, type, row) {
                        if (type !== \"display\")
                            return data;

                        return (data === null) ? 0 : moment().startOf(\"day\").seconds(data).format(\"H:mm:ss\");
                    }
                },
                {
                    \"orderable\": false,
                    \"data\": dataTableButtonsColumn
                }
            ]
        });

        table.on('draw', dataTableDraw);
        table.on('processing.dt', dataTableProcessing);
        dataTableAddButtons(table, \$('#tasks_wrapper').find('.col-sm-6').eq(1));

        \$(\"#refreshLog\").click(function () {
            table.ajax.reload();
        });
    </script>
";
    }

    public function getTemplateName()
    {
        return "task-page.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  192 => 108,  176 => 95,  161 => 83,  151 => 75,  148 => 74,  132 => 61,  128 => 60,  124 => 59,  120 => 58,  116 => 57,  112 => 56,  108 => 55,  104 => 54,  100 => 53,  96 => 52,  81 => 40,  76 => 38,  73 => 37,  70 => 36,  60 => 32,  52 => 30,  50 => 29,  47 => 28,  44 => 27,  39 => 24,  37 => 25,  31 => 24,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "task-page.twig", "/home/mgatv524/public_html/edurocha/views/task-page.twig");
    }
}
